Get Logs For Pipelines
curl --request GET \
--url https://api.streamkap.com/pipelines/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/pipelines/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/pipelines/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_metrics": {},
"connector_metrics": {},
"inline_metrics": {},
"task_metrics": {},
"topic_metrics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pipelines
Get Logs For Pipelines
GET
/
pipelines
/
logs
Get Logs For Pipelines
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
10 <= x <= 1000Required range:
x >= 0A comma-separated list of log level. Example: INFO,WARN
Example: 2025-07-30T07:54:13.922
Example: 2025-07-30T07:54:13.922
Response
Successful Response
Pipeline metrics response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?